Bug 1778599 - [Hammer] - Wrong Error Message/Return code getting after exceeding the 'failed_login_attempts_limit'
Summary: [Hammer] - Wrong Error Message/Return code getting after exceeding the 'fail...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Authentication
Version: 6.7.0
Hardware: All
OS: All
unspecified
medium vote
Target Milestone: 6.7.0
Assignee: satellite6-bugs
QA Contact: Omkar Khatavkar
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-12-02 06:51 UTC by Omkar Khatavkar
Modified: 2020-04-14 13:28 UTC (History)
2 users (show)

Fixed In Version: foreman-1.24.1.3-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-04-14 13:27:44 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 28860 Normal Closed Wrong Error Message/Return code getting after exceeding the 'failed_login_attempts_limit' 2020-06-17 08:22:23 UTC
Red Hat Product Errata RHSA-2020:1454 None None None 2020-04-14 13:28:00 UTC

Description Omkar Khatavkar 2019-12-02 06:51:19 UTC
Description of problem:
[Hammer] - Wrong Error Message/Return code(Internal server error) getting after exceeding the  'failed_login_attempts_limit' 

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
[root@satellite]# hammer -u admin -p changeme settings set --name failed_login_attempts_limit --value 5

Setting [failed_login_attempts_limit] updated to [5].
[root@satellite ~]# for i in 1 2 3 4 5; do   hammer -u admin -p WRONG_PASS user list; done
Unable to authenticate user admin
Unable to authenticate user admin
Unable to authenticate user admin
Unable to authenticate user admin
Unable to authenticate user admin

[root@satellite ~]# hammer -u admin -p changeme user list
undefined local variable or method `logger' for #<Foreman::BruteforceProtection:0x00007f80b6979698>



Actual results:
Error Message is shown as 'undefined local variable or method `logger' for #<Foreman::BruteforceProtection:0x00007f80b6979698>' and error code is '70'

Expected results:
Error Message is Incorrect and Return code should be '129' 

Additional info:
Please take a look log attachment

Comment 5 Tomer Brisker 2020-01-26 17:29:58 UTC
Created redmine issue https://projects.theforeman.org/issues/28860 from this bug

Comment 6 Bryan Kearney 2020-01-31 15:06:36 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/28860 has been resolved.

Comment 13 errata-xmlrpc 2020-04-14 13:27:44 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:1454


Note You need to log in before you can comment on or make changes to this bug.